.mv-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: unset;
    width: 100%;
    height: 50px;
    overflow: unset;
    background: unset;
    gap: 32px;
}

.m-nav-item:nth-of-type(2) a:hover {
    background-color: rgb(79 79 79);
}

.m-nav-item a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    transition: background-color var(--transition-speed);
    border-radius: inherit;
    position: relative;
    background: rgb(55 55 55);
}

.m-nav-item a:hover {
    background-color: rgb(55 55 55);
    opacity: 0.8;
}

.m-nav-item:first-child a {
    border-radius: unset;
}

.m-nav-item a:first-child {
    border-radius: 25px 0 0 25px;
}

.m-nav-item a:last-child {
    border-radius: 0 25px 25px 0;
    width: inherit;
    border-left: 2px solid;
    border-image: linear-gradient(to bottom, transparent 0%, transparent 10%, var(--color-primary) 10%, var(--color-primary) 90%, transparent 90%, transparent 100%) 1;
}

.m-nav-item:last-child a {
    border-radius: inherit;
    right: unset;
    background: rgb(79 79 79);
}

.m-nav-item:nth-of-type(2) {
    background: inherit;
}

.m-nav-item:nth-of-type(2) a {
    border-radius: 25px 0 0 25px;
}

.m-nav-item:nth-of-type(2) a:last-child {
    border-radius: 0 25px 25px 0;
}


@media (max-width: 970px) {

    .mv-nav {
        row-gap: 32px;
        height: unset;
    }

    .m-nav-item {
        width: 50%;
        height: 100px;
        background: inherit;
        border-radius: var(--border-radius);
        flex-direction: column;
        gap: 16px;
    }

    .m-nav-item a {
        color: unset
    }

    .m-nav-item a:first-child {
        border-radius: 25px
    }

    .m-nav-item a:last-child {
        border-left: none;
        border-radius: 25px
    }

    .m-nav-item:nth-of-type(2) {
        background: inherit;
    }

    .m-nav-item:nth-of-type(2) a:last-child {
        border-radius: 25px
    }
}


@media screen and (max-width: 550px) {

    .m-nav-item {
        width: auto;
        height: 100px;
    }

    .m-nav-item a {
        padding-inline: 20px
    }
}